<?php

/* ***************************************************************************

  This is profile.php, the PHP file that lets a user change his / her profile

  It can only be used by users that are logged in. It displays a form where
  the user can see and perhaps change his / her phone number, or also change
  his / her current password. If the user has left the "password" cases blank
  or has entered the same password again the password will not be modified.
  If the telephone number is the same, we also discard the new number
  entered...

  When called directly, this file will redirect back to the index page

**************************************************************************** */

// PHP should only report big problems
error_reporting(E_ERROR);

// Page has been called, but not by our script !!
if(bath!="university")
{
  header("Location: index.php");
  die();
}

$tel = read_p("form_tel",0);
$pwd = read_p("form_pwd",32);
$pwd2 = read_p("form_pwd2",32);

if($tel<1000000000 || $tel>9999999999)
{
  $tel=false;
}

// Retreive user info
//-- SQL
$query = <<<ENDOFSTRING
SELECT `Telephone`, `Password` FROM $usersT WHERE `BUCS_id` LIKE "$user_id";
ENDOFSTRING;
//-- ENDSQL

$result = $db->query($query);

if (DB::isError($result))
{
  // That should not happen
  echo "Not successful: " . $result->getMessage();
  return;
}
else
{
  $result=$result->fetchRow(DB_FETCHMODE_ORDERED);
  $cTel=$result[0];
  $cPwd=$result[1];
}

if($tel>1000000000 && $tel!=$cTel)
{

//-- SQL
$query = <<<ENDOFSTRING
UPDATE $usersT SET `Telephone` = $tel WHERE `BUCS_id` LIKE "$user_id";
ENDOFSTRING;
//-- ENDSQL

  $db->query($query);
  echo "<b>Telephone number</b> changed<br><br>";
}

// Check for password changes
if( strlen($pwd)>0 && ($pwd == $pwd2) )
  $pwd=md5($pwd);
else
  $pwd = false;

if( $pwd && ($pwd != $cPwd))
{

//-- SQL
$query = <<<ENDOFSTRING
UPDATE $usersT SET `Password` = "$pwd" WHERE `BUCS_id` LIKE "$user_id";
ENDOFSTRING;
//-- ENDSQL

  $db->query($query);
  echo "<b>Password</b> changed<br><br>";
}


//-- SQL
$query = <<<ENDOFSTRING
SELECT `BUCS_id`, `Forename`, `Surname`, `Telephone` FROM $usersT WHERE `BUCS_id` LIKE "$user_id";
ENDOFSTRING;
$result = $db->query($query);
//-- ENDSQL

if (DB::isError($result))
{
  // That should not happen
  echo "Not successful: " . $result->getMessage();
  return;
}
else
{
    $result = $result->fetchRow(DB_FETCHMODE_ORDERED);
    $bucs = $result[0];
    $fname = $result[1];
    $sname = $result[2];
    $tel = $result[3];
?>
<script>
function f(number)
{
  document.form.elements[number].select()
  return document.form.elements[number].value
}
function checkForm()
{
  tel=f(0)
  cnt=0
  for(i=0;i<tel.length;i++)
  {
    cur=parseInt(tel.substring(i,i+1))
    if(cur>=0 && cur<=9)
    {
      cnt*=10
      cnt+=cur
    }
  }
  if(cnt<1000000000 || cnt>9999999999)
  {
    alert('That is not a phone number!')
    return false
  }
  if(f(1)!=f(2))
  {
    alert('Please make sure you have entered the same password !')
    return false
  }
  document.form.elements[0].value=cnt
  return true
}
</script>
<?php
  echo "
  <table cellpadding='1' cellspacing='0'> 
    <tr> 
    <td align='center' valign='middle' class='Form_Cadre_title'> Please change the things you want to...</td>
    <tr>
    <td class='Form_Cadre_main' align='center'>
    <br>
    <form name=form action=index.php?do=profile$sess_id method=post onsubmit='return checkForm()'>
    <table width=500>
      <tr>
      <td align=right valign=middle width=250>BUCS ID: &nbsp;</td>
      <td align=left valign=middle width=250><b>$bucs</b></td>
      </tr>
      <tr>
      <td align=right valign=middle>Forename: &nbsp;</td>
      <td align=left valign=middle><b>$fname</b></td>
      </tr>
      <tr>
      <td align=right valign=middle>Surname: &nbsp;</td>
      <td align=left valign=middle><b>$sname</b></td>
      </tr>
      <tr>
      <td align=right valign=middle>Telephone: &nbsp;</td>
      <td align=left valign=top>
        <input class=inputT type=text name=form_tel size=20 maxlength=32 onclick=this.select() value='".telephone($tel)."'>
      </td>
      </tr>
      <tr>
      <td align=right valign=middle>Password (*): &nbsp;</td>
      <td align=left valign=top>
        <input class=inputT type=password name=form_pwd size=20 maxlength=32 onclick=this.select()>
      </td>
      </tr>
      <tr>
      <td align=right valign=middle>Password (again) (*): &nbsp;</td>
      <td align=left valign=top>
        <input class=inputT type=password name=form_pwd2 size=20 maxlength=32 onclick=this.select()>
      </td>
      </tr>
    </table>
    <br>
    (*) Do not fill the password fields if you don't want to change your password
    <br><br>
    <input name='submit' type='image' value=Submit src='images/submit.jpg'>
    <br>
    </form>
    </td>
    </tr>
  </table>";
}

?>